summaryrefslogtreecommitdiffstats
path: root/system/atop/atop.SlackBuild
diff options
context:
space:
mode:
author Menno E. Duursma2010-05-11 22:26:24 +0200
committer David Somero2010-05-11 22:26:24 +0200
commit8353d539ba3bc6a82a7afe4c51acdd89186efb9d (patch)
tree2904d6f5d5d5af2bb5e04bf5b899dfc8afc75e0b /system/atop/atop.SlackBuild
parentf4151f49a4e4afd54f1a814f23a8e1a8ae86d676 (diff)
downloadslackbuilds-8353d539ba3bc6a82a7afe4c51acdd89186efb9d.tar.gz
system/atop: Updated for version 1.23
Diffstat (limited to 'system/atop/atop.SlackBuild')
-rw-r--r--system/atop/atop.SlackBuild24
1 files changed, 21 insertions, 3 deletions
diff --git a/system/atop/atop.SlackBuild b/system/atop/atop.SlackBuild
index 378fde2196..ccea68881a 100644
--- a/system/atop/atop.SlackBuild
+++ b/system/atop/atop.SlackBuild
@@ -5,8 +5,12 @@
# Written by Menno E. Duursma <druiloor@zonnet.nl>
# Modified by Robby Workman <rworkman@slackbuilds.org>
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
PRGNAM=atop
-VERSION=1.20
+VERSION=1.23
ARCH=${ARCH:-i486}
BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
@@ -20,6 +24,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e # Exit on most errors
@@ -31,7 +37,11 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
make CFLAGS="$SLKCFLAGS"
@@ -53,15 +63,23 @@ touch $PKG/var/log/atop/dummy_{before,after}
# We'll create daily.log in doinst.sh so it doesn't get wiped on uninstall
( cd $PKG
- find . -type f | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Create link to enable the 'atopsar' functionality
+( cd $PKG/usr/bin
+ ln -vsf atop atopsar
)
mkdir -p $PKG/usr/man/man1
gzip -9c man/atop.1 > $PKG/usr/man/man1/atop.1.gz
+gzip -9c man/atopsar.1 > $PKG/usr/man/man1/atopsar.1.gz
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a [A-Z][A-Z]* ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc